aboutsummaryrefslogtreecommitdiffstats
path: root/bootscripts
diff options
context:
space:
mode:
Diffstat (limited to 'bootscripts')
-rw-r--r--bootscripts/lfs/init.d/console6
1 files changed, 3 insertions, 3 deletions
diff --git a/bootscripts/lfs/init.d/console b/bootscripts/lfs/init.d/console
index f3b3a51e3..8740bec4f 100644
--- a/bootscripts/lfs/init.d/console
+++ b/bootscripts/lfs/init.d/console
@@ -39,8 +39,8 @@ function is_true()
# See if we need to do anything
if [ -z "${KEYMAP}" ] && [ -z "${KEYMAP_CORRECTIONS}" ] &&
- [ -z "${FONT}" ] && [ is_true "${UNICODE}" ] &&
- [ -z "${LEGACY_CHARSET}" ]; then
+ [ -z "${FONT}" ] && [ -z "${LEGACY_CHARSET}" ] &&
+ is_true "${UNICODE}"; then
exit 0
fi
@@ -80,7 +80,7 @@ case "${1}" in
done
# Set the font (if not already set above) and the keymap
- [ "${use_fb}" == "1" || [ -z "${FONT}" ] || setfont $FONT || failed=1
+ [ "${use_fb}" == "1" ] || [ -z "${FONT}" ] || setfont $FONT || failed=1
[ -z "${KEYMAP}" ] ||
loadkeys ${KEYMAP} >/dev/null 2>&1 ||